services:
    _defaults:
        autowire: true
        autoconfigure: true

    ## Indicators
    Chill\PersonBundle\Export\Export\CountAccompanyingPeriodWorkAssociatePersonOnAccompanyingPeriod:
        tags:
            # the name is not matching the class name: it is kept for backward compatibility
            - { name: chill.export, alias: count_social_work_actions }

    Chill\PersonBundle\Export\Export\CountAccompanyingPeriodWorkAssociatePersonOnWork:
        tags:
            - { name: chill.export, alias: count_social_work_actions_associate_person_work }

    Chill\PersonBundle\Export\Export\ListAccompanyingPeriodWorkAssociatePersonOnAccompanyingPeriod:
        tags:
            # the name is not matching the class name: it is kept for backward compatibility
            - { name: chill.export, alias: list_social_work_actions }

    Chill\PersonBundle\Export\Export\ListAccompanyingPeriodWorkAssociatePersonOnWork:
        tags:
            - { name: chill.export, alias: list_social_work_actions_associate_person_work }

    Chill\PersonBundle\Export\Export\CountPersonOnAccompanyingPeriodWorkAssociatePersonOnWork:
        tags:
            - { name: chill.export, alias: count_person_on_acwp_associate_person_work }

    Chill\PersonBundle\Export\Export\AvgDurationAPWorkPersonAssociatedOnAccompanyingPeriod:
        tags:
            - { name: chill.export, alias: avg_duration_social_work_actions_person_associated_on_period }

    Chill\PersonBundle\Export\Export\AvgDurationAPWorkPersonAssociatedOnWork:
        tags:
            - { name: chill.export, alias: avg_duration_social_work_actions_person_associated_on_work }

    ## FILTERS
    chill.person.export.filter_social_work_type:
        class: Chill\PersonBundle\Export\Filter\SocialWorkFilters\SocialWorkTypeFilter
        tags:
            - { name: chill.export_filter, alias: social_work_type_filter }

    chill.person.export.filter_scope:
        class: Chill\PersonBundle\Export\Filter\SocialWorkFilters\ScopeFilter
        tags:
            - { name: chill.export_filter, alias: social_work_actions_scope_filter }

    chill.person.export.filter_job:
        class: Chill\PersonBundle\Export\Filter\SocialWorkFilters\JobFilter
        tags:
            - { name: chill.export_filter, alias: social_work_actions_job_filter }

    chill.person.export.filter_treatingagent:
        class: Chill\PersonBundle\Export\Filter\SocialWorkFilters\ReferrerFilter
        tags:
            - { name: chill.export_filter, alias: social_work_actions_treatingagent_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\CurrentActionFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_current_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\AccompanyingPeriodWorkStartDateBetweenDateFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_start_btw_dates_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\AccompanyingPeriodWorkEndDateBetweenDateFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_end_btw_dates_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\CreatorFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_creator_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\CreatorJobFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_creator_job_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\CreatorScopeFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_creator_scope_filter }

    Chill\PersonBundle\Export\Filter\SocialWorkFilters\AccompanyingPeriodWorkWithEvaluationBetweenDatesFilter:
        tags:
            - { name: chill.export_filter, alias: social_work_actions_evaluation_btw_dates_filter }


        ## AGGREGATORS
    chill.person.export.aggregator_action_type:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\ActionTypeAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_action_type_aggregator }

    chill.person.export.aggregator_treatingagent_scope:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\ScopeAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_treatingagent_scope_aggregator }

    chill.person.export.aggregator_treatingagent_job:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\JobAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_treatingagent_job_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\ReferrerAggregator:
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_treatingagent_aggregator }

    chill.person.export.aggregator_goal:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\GoalAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_goal_aggregator }

    chill.person.export.aggregator_result:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\ResultAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_result_aggregator }

    chill.person.export.aggregator_goalresult:
        class: Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\GoalResultAggregator
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_goal_result_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\CurrentActionAggregator:
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_current_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\HandlingThirdPartyAggregator:
        tags:
            - { name: chill.export_aggregator, alias: accompanyingcourse_handling3party_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\CreatorAggregator:
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_creator_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\CreatorJobAggregator:
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_creator_job_aggregator }

    Chill\PersonBundle\Export\Aggregator\SocialWorkAggregators\CreatorScopeAggregator:
        tags:
            - { name: chill.export_aggregator, alias: social_work_actions_creator_scope_aggregator }

    Chill\PersonBundle\Export\Filter\AccompanyingCourseFilters\HandlingThirdPartyFilter:
        tags:
            - { name: chill.export_filter, alias: 'acpw_handling3party_filter'}
